#version 450
#extension GL_ARB_separate_shader_objects : enable

layout(location = 0) in vec3 vPos;
layout(location = 1) in vec2 vUv;

layout(location = 0) out vec2 glyphUV;
layout(location = 1) out vec4 glyphColor;

layout(std140, binding = 0) uniform Data
{
    mat4 proj;
    mat4 view;
    mat4 model;
    vec4 color;
} data;

void main() {
    gl_Position = data.proj * data.view * data.model * vec4(vPos, 1.0);

    glyphUV = vUv;
    glyphColor = data.color;
}